package com.qianhe.zqbf.mapper;

import com.qianhe.common.annotation.DataScope;
import com.qianhe.zqbf.domain.ZqbfXmzBfzj;
import com.qianhe.zqbf.domain.ZqbfXmzBfzjQuery;
import com.qianhe.zqbf.domain.ZqbfXmzBfzjVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ZqbfXmzBfzjMapper {
    /**
     * 条件查询
     */
    @DataScope(deptAlias = "dept")
    List<ZqbfXmzBfzjVo> list(ZqbfXmzBfzjQuery zqbfXmzBfzjQuery);

    /**
     * 查询详情
     */
    ZqbfXmzBfzjVo info(Long id);

    /**
     * 新增
     */
    int add(ZqbfXmzBfzj zqbfXmzBfzj);

    /**
     * 修改
     */
    int edit(ZqbfXmzBfzj zqbfXmzBfzj);

    /**
     * 删除
     */
    int delete(Long[] ids);
}
